package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "union_doctor_dept_info_view")
public class UnionDoctorDeptInfoView {

    @Id
    @Column(name = "ud_id")
    private Integer udId;

    @Column(name = "union_doctor_id")
    private Integer unionDoctorId;

    @Column(name = "doctor_id")
    private Integer doctorId;

    /**
     * 医生职称
     */
    @Column(name = "title")
    private String title;

    /**
     * 医生擅长
     */
    @Column(name = "specialty")
    private String specialty;

    /**
     * 医生简介
     */
    @Column(name = "brief_info")
    private String briefIntro;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 医院 id
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 科室 id
     */
    @Column(name = "dept_id")
    private Integer deptId;

    @Column(name = "real_name")
    private String realName;

    @Column(name = "avatar")
    private String avatar;

    @Column(name = "city")
    private String city;



    public Integer getUdId() {
        return udId;
    }

    public void setUdId(Integer udId) {
        this.udId = udId;
    }

    public Integer getUnionDoctorId() {
        return unionDoctorId;
    }

    public void setUnionDoctorId(Integer unionDoctorId) {
        this.unionDoctorId = unionDoctorId;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }
}
